@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: rgba(0, 0, 0, 0.8) url('../img/fondo_aula_clase.jpg') no-repeat;
    background-size: cover;
    background-position: center;    
}

header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 99;
}

.logo {
    color: #fff;
    width: 100%;
    user-select: none;
    -webkit-user-drag: none;

}

.navigation a {
    position: relative;
    font-size: 1.1em;
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    margin-left: 40px;
}

.navigation a::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: -6px;
    width: 100%;
    height: 3px;
    background: #fff;
    border-radius: 5px;
    transform-origin: left;
    transform: scaleX(0);
    transition: transform .7s;
}

.navigation a:hover:after {
    transform: scaleX(1);
    transform-origin: right;
}

.navigation .btnLogin-popup {
    width: 130px;
    height: 50px;
    background: transparent;
    border: 2px solid #fff;
    outline: none;
    border-radius: 6px;
    cursor: pointer;
    font-size: 1.1em;
    color: #fff;
    font-weight: 500;
    margin-left: 40px;
    transition: .7s;
}

.navigation .btnLogin-popup:hover {
    background: #fff;
    color: rgb(0,20,135);
}

.wrapper {
    position: relative;
    width: 530px;
    height: 570px;    
    background-color: rgb(255, 255, 255);
    border: 2px solid rgb(255, 255, 255);
    border-radius: 42px;
    backdrop-filter: blur(20px);
    box-shadow: 0 0 30px rgba(0, 0, 0, .5);
    display: flex;
    /* right: 20%; */
    justify-content: center;
    align-items: center;
    overflow: hidden;
    transform: scale(0);
    transition: transform .7s ease, heigth .7s ease;
}

.wrapper.active-popup {
    transform: scale(1);
    margin: 2rem 2rem 2rem 2rem;
}

.wrapper.active {
    height: 520px;
}

.wrapper .form-box {
    width: 100%;
    padding: 25px;    
}

.wrapper .form-box.login {
    transition: transform .7s ease;
    transform: translateX(0);
}

.wrapper.active .form-box.login {
    transition: none;
    transform: translateX(-400px);
}

.wrapper .form-box.register {
    position: absolute;
    transition: none;
    transform: translateX(400px);
}

.wrapper.active .form-box.register {
    transition: transform .7s ease;
    transform: translateX(0);
}

.wrapper .icon-close {
    position: absolute;
    top: 0;
    right: 0;
    width: 45px;
    height: 45px;
    background: #1498fd;
    font-size: 2em;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-bottom-left-radius: 20px;
    cursor: pointer;
    z-index: 1;
}

.form-box h2 {
    font-size: 2em;
    color: #162938;
    text-align: center;
}

.input-box {
    position: relative;
    width: 410px;
    height: 50px;
    /*border-bottom: 2px solid #162938;*/
    border-bottom: 2px solid #ffebeb;
    margin: 30px 0;
    margin-left: 20px;
}

.input-box label {
    position: absolute;
    top: 50%;
    left: 5px;
    transform: translateY(-50%);
    font-size: 1.2em;
    color: #ffebeb;
    /*color: #162938;*/
    font-weight: 500;
    pointer-events: none;
    transition: .7s;
}

.input-box input:focus~label,
.input-box input:valid~label {
    top: -5px;
}

.input-box input {
    width: 100%;
    height: 100%;
    background: transparent;
    border: none;
    outline: none;
    font-size: 1em;
    color: #ffffff;
    /*color: #162938;*/
    font-weight: 600;
    padding: 0 35px 0 5px;
}

.input-box .icon {
    position: absolute;
    right: 8px;
    font-size: 1.2em;
    color: #ffffff;
    /*color: #162938;*/
    line-height: 57px;
}

.remember-forgot {
    font-size: .9em;
    color: #162938;
    font-weight: 500;
    margin: -15px 0 15px;
    display: flex;
    justify-content: space-between;
}

.remember-forgot label input {
    accent-color: #162938;
    margin-right: 3px;
}

.login-register p a,
.remember-forgot a {
    color: #162938;
    text-decoration: none;
}

.login-register p a:hover,
.remember-forgot a:hover {
    text-decoration: underline;
}

.btn {
    width: 100%;
    height: 45px;
    background: #162938;
    border: none;
    outline: none;
    border-radius: 6px;
    cursor: pointer;
    color: #fff;
    font-size: 1em;
    font-weight: 500;
}

.login-register {
    font-size: .9em;
    color: #5ab3f7;
    text-align: center;
    font-weight: 500;
    margin: 25px 0 10px;    
}

@media (max-width: 1024px) {
    .wrapper.active-popup {
        transform: scale(1);
    }
}

@media (max-width: 820px) {
    .wrapper.active-popup {
        transform: scale(1);
    }
}

@media (max-width: 768px) {
    .wrapper.active-popup {
        transform: scale(1);
    }
}

@media (max-width: 654px) {
    .wrapper.active-popup {
        transform: scale(1);
        justify-content: center;
        align-items: center;
        left: auto;
        right: auto;
    }
}

@media (max-width: 540px) {
    .wrapper.active-popup {
        transform: scale(1);
        justify-content: center;
        align-items: center;
        left: auto;
        right: auto;
    }
    .input-box {
    position: relative;
    width: 80%;
    height: 50px;
    /*border-bottom: 2px solid #162938;*/
    border-bottom: 2px solid #ffebeb;
    margin: 30px 0;
    margin-left: 100px;
}
}

@media (max-width: 375px) {
    .wrapper.active-popup {
        transform: scale(0.8);
        justify-content: center;
        align-items: center;
        left: auto;
        right: auto;
    }
    .input-box {
    position: relative;
    width: 75%;
    height: 50px;
    /*border-bottom: 2px solid #162938;*/
    border-bottom: 2px solid #ffebeb;
    margin: 30px 0;
    margin-left: 110px;
}
 .logo {
        position: relative;
        width: 50%;
        height: 50px;
        margin: 30px 0;
        margin-left: 80px;
    }

    .input-box .icon {
        display: none;
    }

    .input-box input {
        padding: 1px;
    }

    .form-box.login {
        padding: 5px;
    }
}

@media (max-width: 360px) {
    .wrapper.active-popup {
        transform: scale(0.8);
        justify-content: center;
        align-items: center;
        left: auto;
        right: auto;
    }
    .frmLogin {
    position: relative;
    width: 70%;
    height: 50px;
    /*border-bottom: 2px solid #162938;*/
    border-bottom: 2px solid #ffebeb;
    margin: 30px 0;
    margin-left: 100px;
}

    .input-box .icon {
        display: none;
    }

    .input-box input {
        padding: 0.1px;
    }

    .form-box.login {
        padding: 5px;
    }
}

@media (max-width: 280px) {
    .wrapper.active-popup {
        transform: scale(0.8);
        justify-content: center;
        align-items: center;
        left: auto;
        right: auto;
        margin: 1rem;
    }
    .input-box {
        position: relative;
        width: 50%;
        height: 50px;
        /*border-bottom: 2px solid #162938;*/
        border-bottom: 2px solid #ffebeb;
        margin: 30px 0;
        margin-left: 150px;
    }
    .logo {
        position: relative;
        width: 50%;
        height: 50px;
        margin: 30px 0;
        margin-left: 80px;
    }
    .input-box .icon {
        display: none;
    }

    .input-box input {
        padding: 1px;
    }

    .form-box.login {
        padding: 5px;
    }
}